Package org.apache.tomcat.util.http.parser

## Class AcceptEncoding

- java.lang.Object
- - org.apache.tomcat.util.http.parser.AcceptEncoding

    public class AcceptEncoding
    extends java.lang.Object

### Constructor Summary

Constructors
`protected` `AcceptEncoding​(java.lang.String encoding, double quality)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getEncoding()`
`double` `getQuality()`
`static java.util.List<AcceptEncoding>` `parse​(java.io.StringReader input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AcceptEncoding

    protected AcceptEncoding​(java.lang.String encoding,
                             double quality)

### Method Detail

#### getEncoding

    public java.lang.String getEncoding()

#### getQuality

    public double getQuality()

#### parse

    public static java.util.List<AcceptEncoding> parse​(java.io.StringReader input)
                                                throws java.io.IOException

Throws:
  `java.io.IOException`